QwtCompassScaleDraw(3)

NAME
QwtCompassScaleDraw - A special scale draw made for QwtCompass.

SYNOPSIS

#include <qwt_compass.h>

Inherits QwtRoundScaleDraw.

  Public Member Functions
QwtCompassScaleDraw ()
Constructor.
QwtCompassScaleDraw (const QMap< double, QString > &map)
Constructor.
virtual ~QwtCompassScaleDraw ()
Destructor.
void setLabelMap (const QMap< double, QString > &map)
Set a map, mapping values to labels.
QMap< double, QString > labelMap () const
virtual QwtText label (double value) const override

  Additional Inherited Members

Detailed Description

A special scale draw made for QwtCompass. QwtCompassScaleDraw maps values to strings using a special map, that can be modified by the application

The default map consists of the labels N, NE, E, SE, S, SW, W, NW.

See also
    QwtCompass

Definition at line 32 of file qwt_compass.h.

Constructor & Destructor Documentation

  QwtCompassScaleDraw::QwtCompassScaleDraw () [explicit]

Constructor. Initializes a label map for multiples of 45 degrees

Definition at line 28 of file qwt_compass.cpp.

  QwtCompassScaleDraw::QwtCompassScaleDraw (const QMap< double, QString > & map) [explicit]

Constructor.

Parameters
    map Value to label map

Definition at line 63 of file qwt_compass.cpp.

Member Function Documentation

  QwtText QwtCompassScaleDraw::label (double value) const [override], [virtual]
Map a value to a corresponding label

Parameters
    value Value that will be mapped

label() looks in the labelMap() for a corresponding label for value or returns an null text.

Returns
    Label

See also
    labelMap(), setLabelMap()

Reimplemented from QwtAbstractScaleDraw.

Definition at line 116 of file qwt_compass.cpp.

  QMap< double, QString > QwtCompassScaleDraw::labelMap () const

Returns
    map, mapping values to labels

See also
    setLabelMap()

Definition at line 99 of file qwt_compass.cpp.

  void QwtCompassScaleDraw::setLabelMap (const QMap< double, QString > & map)

Set a map, mapping values to labels.

Parameters
    map Value to label map

The values of the major ticks are found by looking into this map. The default map consists of the labels N, NE, E, SE, S, SW, W, NW.

Warning
    The map will have no effect for values that are no major tick values. Major ticks can be changed by QwtScaleDraw::setScale

See also
    labelMap(), scaleDraw(), setScale()

Definition at line 90 of file qwt_compass.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.